package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussBestNewActivity;
import com.chaozhanggui.dao.system.entity.TbPlussBestNewActivityWithBLOBs;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussBestNewActivityMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussBestNewActivityWithBLOBs record);

    int insertSelective(TbPlussBestNewActivityWithBLOBs record);

    TbPlussBestNewActivityWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussBestNewActivityWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussBestNewActivityWithBLOBs record);

    int updateByPrimaryKey(TbPlussBestNewActivity record);
}